/* fonts */
@import url('https://fonts.googleapis.com/css2?family=Ubuntu:ital,wght@0,300;0,400;0,500;0,700;1,300;1,400;1,500;1,700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Source+Sans+3:ital,wght@0,200..900;1,200..900&family=Ubuntu:ital,wght@0,300;0,400;0,500;0,700;1,300;1,400;1,500;1,700&display=swap');

/* colors */
:root {
    --ipv-orange-100: #ff8300;
    --ipv-yellow-100: #feb306;
    --ipv-sunshine-100: #ffe70b;
    --ipv-blue-100: #023047;
    --ipv-blue-10: #D7D8DD;
    --ipv-dkteal-100: #0E5F76;
    --ipv-teal-100: #00c2d2;
    --ipv-teal-50: #7ee7ff;
    --ipv-teal-20: #DAF8FF;
    --ipv-gray-10: #f2f1f0;
    --ipv-gray-20: #d9d8d8;
    --ipv-gray-90: #050315;
    --ipv-green-80: #94BC48;
    --ipv-green-100: #00845D;
    --ipv-red-100: #EF4F23;
}


html {
    background: white linear-gradient(white, var(--ipv-teal-20));
    font-size: calc(0.025 * 100vw);
    margin: 0 auto;
}
body {
    background: white linear-gradient(white, var(--ipv-teal-20));
    display: grid;
    font-family: "Source Sans 3", sans-serif;
    height: 100vh;
    margin: 0;
    padding: 0;
}
h1, h2, h3, h4, h5, h6 {
    font-family: "Ubuntu", sans-serif;
    font-weight: 700;
    letter-spacing: -0.04rem;
    line-height: 1.16;
    margin: 0 0 1rem;
}

h1 {
    font-size: 2.23rem;
}
h2 {
    color: var(--ipv-blue-100);
    font-size: 1.6rem;
}
h3 {
    color: var(--ipv-blue-100);
    font-size: 1.3rem;
}
h4 {
    font-size: 0.75rem;
    margin: 0;
    text-transform: uppercase;
}
p {
    font-size: 0.875rem;
    line-height: 1.2;
    margin-bottom: 0.75rem;
}

/* elements */

a, a:visited, a:hover, a:active  {
    color: white;
    text-decoration: none;
    text-transform: uppercase;
}
a:hover {
    cursor: pointer;
}
a * + * {
    margin-left: 0.5rem;
}
.vertical-scroll {
    overflow-y: auto;
}

.btn, .btn:visited {
    background-color: var(--ipv-orange-100);
    border: 2px solid var(--ipv-orange-100);
    color: white;
    display: inline-block;
    font-family: "Ubuntu", sans-serif;
    font-size: 0.87rem;
    padding: 1rem 3rem;
    text-align: center;
}
.btn:hover, .btn:active {
    background-color: var(--ipv-yellow-100);
    border: 2px solid var(--ipv-yellow-100);
    -webkit-transition: background-color 300ms ease;
    -moz-transition: background-color 300ms ease;
    -ms-transition: background-color 300ms ease;
    -o-transition: background-color 300ms ease;
    transition: background-color 300ms ease;
}
.btn-md {
    font-size: 0.675rem;
    padding: 0.625rem 2rem
}
.btn-sm {
    font-size: 0.5rem;
    padding: 0.5rem 1.5rem;
}
.btn-trans, .btn-trans:visited {
    background-color: transparent;
    border: none;
    color: var(--ipv-orange-100);
}
.btn-trans:hover, .btn-trans:active {
    background-color: rgba(256,256,256,0.1);
    border: none;
}
.btn-outline, .btn-outline:visited {
    background-color: transparent;
    color: var(--ipv-orange-100);
}
.btn-outline:hover, .btn-outline:active {
    background-color: var(--ipv-yellow-100);
    border: 2px solid var(--ipv-yellow-100);
    color: white;
}
.btn.disabled {
    opacity: 0.4;
    cursor: not-allowed;
}
.btn-banner {
    background-color: white;
    border-color: white;
    color: var(--ipv-dkteal-100);
    display: block;
    font-size: 1rem;
    line-height: 1.2;
    margin-bottom: 0.5rem;
    padding: 0.625rem 0.625rem 0.75rem 3rem;
    position: relative;
    text-transform: none;
}
.btn-banner:after {
    content: "\f105";
    font-family: "FontAwesome";
    font-size: 1.6rem;
    position: absolute;
    right: 0.5rem;
    top: calc(50% - 0.8rem);
}
.btn-banner:hover, .btn-banner:active {
    text-transform: none;
}
.btn-banner span {
    font-weight: 700;
    margin-left: 0;
}
.button-row {
    position: absolute;
    bottom: 1rem;
    right: 1.5rem;
}
.button-row.left {
    left: 1.5rem;
    right: unset;
}
.subheading {
    color: var(--ipv-dkteal-100);
}
.logo-container {
    display: none;
    visibility: hidden;
    width: 7rem;
}
.img-container img,
.logo-container img {
    max-width: 100%;
}

.align-abs-bottom {
    position: absolute;
    bottom: 0;
    left: 0;
}
.clearfix.clear {
    clear: both;
}
.hidden {
    display: none;
    visibility: hidden;
}

/* page architecture */
.panel {
    display: none;
    height: 100%;
    margin: 0;
    width: 100%;
}
.panel.active {
    display: flex;
    -webkit-transition: fade 300ms;
    -moz-transition: fade 300ms;
    -ms-transition: fade 300ms;
    -o-transition: fade 300ms;
    transition: fade 300ms;
}
[class*="column-"] {
    display: inline-block;
    height: calc(100vh - 3rem);
    padding: 1.5rem;
    position: relative;
    vertical-align: top;
}
[class*="column-"] + [class*="column-"] {
    /*margin-left: 0;*/
}
.column-16 {
    width: calc(16% - 1.5rem);
}
.column-25 {
    width: calc(25% - 1.5rem);
}
.column-33 {
    width: calc(33% - 1.5rem);
}
.column-40 {
    width: calc(40% - 1.5rem);
}
.column-50 {
    width: calc(50% - 1.5rem);
}
.column-67 {
    width: calc(67% - 1.5rem);
}
.column-100 {
    width: calc(100% - 1.5rem);
}
[class*="column-"].nopad {
    padding-left: 0;
}
[class*="column-"].dark {
    background-color: var(--ipv-blue-100);
    color: white;
}
.center {
    text-align: center;
}


/* content elements */
.icon-nav {
    border: solid var(--ipv-gray-20);
    border-width: 0 4px 0 0;
    display: inline-block;
    margin: 0;
    padding: 1rem 2rem 1rem 0;
}
.icon-nav li {
    background-size: 100% 100%;
    background-repeat: no-repeat;
    display: block;
    list-style-type: none;
    height: 2rem; width: 2rem;
    /*margin-bottom: 1.2rem;*/ /* setting for five icons */
    margin-bottom: 2rem; /* setting for four icons */
}
.icon-nav li:last-of-type {
    margin-bottom: 0;
}
.btn-banner [class*="icon-"] {
    background-size: 100% 100%;
    background-repeat: no-repeat;
    /*! display: inline-block; */
    height: 1.5rem; width: 1.5rem;
    margin-right: 1rem;
    position: absolute;
    left: 0.625rem;
}
.risk-low { color: var(--ipv-green-100); }
.risk-medium { color: var(--ipv-orange-100); }
.risk-high { color: var(--ipv-red-100); }
.btn-banner:hover [class*="risk-"],
.btn-banner:active [class*="risk-"] { color: inherit; }

.icon-usecase { background-image: url(../img/icon-usecase-gray.svg); }
.icon-usecase.active { background-image: url(../img/icon-usecase-orange.svg); }
.icon-privacy { background-image: url(../img/icon-privacy-gray.svg); }
.icon-privacy.active { background-image: url(../img/icon-privacy-orange.svg); }
.icon-security { background-image: url(../img/icon-security-gray.svg); }
.icon-security.active { background-image: url(../img/icon-security-orange.svg); }
.icon-inclusive { background-image: url(../img/icon-inclusive-gray.svg); }
.icon-inclusive.active { background-image: url(../img/icon-inclusive-orange.svg); }
.icon-performance { background-image: url(../img/icon-performance-gray.svg); }
.icon-performance.active { background-image: url(../img/icon-performance-orange.svg); }

p.question-footer {
    font-size: 0.575rem;
    opacity: 0.5;
    position: absolute; bottom: 1rem;
    text-transform: uppercase;
}
p.form-help {
    font-size: 0.575rem;
    opacity: 0.7;
    text-transform: uppercase;
}
p.form-help.select-all {
    color: var(--ipv-yellow-100);
    opacity: 1;
}

/* form pseudo elements */
.form-container {
    /*font-size: 0.75rem;*/
    font-size: 0.66rem;
}
.form-element-container {
    margin-bottom: 0.125rem;
}
.radio-input-wrapper, .checkbox-input-wrapper {
    cursor: pointer;
    padding: 0.25rem 0.25rem 0.25rem 1.6rem;
    text-transform: initial;
    text-indent: -1.6rem;
}
.radio-input-wrapper:before, .checkbox-input-wrapper:before {
    color: white;
    font-family: "FontAwesome";
    /*font-size: 0.875rem;*/
    font-size: 0.72rem;
    padding-right: 0.75rem;
}
.radio-input-wrapper:before { content: "\f10c"; }
.radio-input-wrapper.checked:before { content: "\f058"; }
.checkbox-input-wrapper:before { content: "\f096"; }
.checkbox-input-wrapper.checked:before { content: "\f14a"; font-size: 0.7rem; }

input[type=text] {
    border: none;
    border-radius: 0;
    font-size: 0.75rem;
    outline: none;
    padding: 0.25rem;
}

.more-info {
    color: var(--ipv-teal-100);
}
.more-info * {
    cursor: pointer;
}
.more-info .more-info-text {
    font-size: 0.5rem;
    font-style: italic;
}
.more-info-slug {
    font-size: 0.6rem;
    font-weight: 600;
    padding-left: 0.25rem;
    text-transform: uppercase;
    vertical-align: middle;
}

/* report charting */
.result-chart-area {
    margin-bottom: 1rem;
    text-align: center;
}
.result-chart-container {
    cursor: pointer;
    display: inline-block;
    width: 22.5%;
    padding: 0 1%;
    vertical-align: top;
}
.result-chart {
    height: 4rem;
    min-height: unset !important;
}
.result-icon {
    margin: -1.5rem auto 0;
    width: 1.5rem;
}
.result-icon img {
    max-width: 100%;
}

/* report findings */
[class*=results-].panel .dark h2,
[class*=results-].panel .dark h3 {
    color: white;
}
.result-details-text, .result-action-text {
    font-size: 0.625rem;
}
.result-graph-container {
    margin: 0.5rem 0;
}
.result-graph-bar {
    background: linear-gradient(90deg, var(--ipv-yellow-100), var(--ipv-green-80));
    border-radius: 1.25rem;
    height: 0.75rem;
    padding: 0.5rem 1rem 1.25rem;
}
.result-graph-bar h4 {
    display: inline-block;
    margin: 0 1rem;
    white-space: nowrap;
    width: calc(25% - 2.5rem);
}
.result-graph-container-bar {
    height: 2.5rem;
    position: relative;
}
.result-graph-recommendation,
.result-graph-input {
    background-repeat: no-repeat;
    background-size: 1rem 0.5rem;
    background-position: bottom center;
    font-size: 0.75rem;
    line-height: 1;
    margin-bottom: 0.25rem;
    padding-bottom: 0.75rem;
    position: absolute; bottom: 0;
    text-transform: uppercase;
    width: 13vw;
}
.result-position-verylow { left: calc(12.5% - 6.5vw + 1.25rem); }
.result-position-low { left: calc(37.5% - 6.5vw + 0.5rem); }
.result-position-medium { left: calc(62.5% - 6.5vw - 0.5rem); }
.result-position-high { left: calc(87.5% - 6.5vw - 1.25rem); }

.result-graph-input {
    background-image: url(../img/icon-caret-down.svg);
    color: var(--ipv-orange-100);

}
.result-graph-recommendation {
    background-image: url(../img/icon-caret-blue.svg);
    color: var(--ipv-teal-100);
}
.result-recommendation-container {
    color: var(--ipv-teal-100);
    padding-left: 2.5rem;
}
.result-list-container {
    padding: 0 1rem;
}
.result-item-list {
    display: inline-block;
    font-size: 0.625rem;
    list-style-type: none;
    margin: 0.5rem 1rem;
    padding: 0;
    vertical-align: top;
    width: calc(25% - 2.5rem);
}
.result-item-list li {
    padding: 0;
}

/* Marketo Styling */

.formContainer {
    background-color: var(--ipv-gray-20);
    border-radius: 1rem;
    padding: 1rem;
}
.formContainer h2 {
    color: var(--ipv-blue-100);
    font-size: 1.2rem;
    margin-bottom: 0;
    text-align: center;
}
.formContainer .mktoForm .mktoButtonRow {
    padding: 0 !important;
}

/* images */

.title-panel, .landing-panel {
    background-image: url(../img/liveness-title.jpg);
    -webkit-background-size: 55%;
    background-size: 55%;
    background-repeat: no-repeat;
    background-position: center right;
}


/*  vertical screens */
@media (orientation: portrait) {
    html {
        font-size: calc(0.025 * 100vh);
    }
    h3 { font-size: 1.2rem; }
    p { font-size: 0.75rem; }
    .panel.active {
        display: block;
    }
    .panel.marketo-data-form.active {
        background: var(--ipv-teal-20);
    }
    .title-panel, .landing-panel {
        background-size: 112%;
        background-position: bottom center;
    }
    [class *= "column-"] {
        display: block;
        height: unset;
        padding: 1rem 1.5rem;
        width: calc(100% - 3rem);
    }
    [class*="column-"].nopad {
        padding-left: 1.5rem;
        /*padding-top: 0;*/
    }
    .column-16 { height: calc(10vh - 2rem); } /* less space for icons */
    .column-33 { height: calc(40vh - 2rem); } /* less space for question text */
    .column-40 { height: calc(56vh - 2rem); } /* more space for touchable response area */
    .column-50 { height: calc(50vh - 2rem); } /* more space for touchable response area */
    .column-100 { height: calc(100vh - 2rem); }
    .column-100.dark h2 {
        margin: 0 0 2rem;
    }

    [class*="column-"].vertical-collapse {
        height: unset;
        display: none;
        visibility: hidden;
    }

    .icon-nav {
        border-width: 0 0 2px 0;
        padding: 0.5rem 1rem;
        width: calc(100% - 2rem);
    }
    .icon-nav li {
        display: inline-block;
        margin: 0 0.5rem;
        height: 8vw;
        width: 8vw;
    }
    .icon-nav li + li {
        margin-left: calc(25vw - 3.25rem);
    }
    input[type="text"] {
        font-size: 1rem;
        padding: 0.5rem;
    }
    p.question-footer {
        bottom: 0;
    }
    .button-row {
        bottom: 0;
        right: 0;
    }
    .btn {
        font-size: 0.75rem;
        padding: 1rem 2rem;
    }
    .btn-sm {
        font-size: 0.875rem;
        padding: .875rem 1.75rem;
    }

    .btn-banner {
        line-height: 1.1;
        font-size: 1rem;
        padding-left: 4rem;
    }
    .btn-banner span {
        display: block;
    }
    .btn-banner [class*="icon-"] {
        position: absolute;
            left: 0.5rem;
            top: calc(50% - 1.3rem);
        height: 2.6rem;
        width: 2.6rem;
    }
    .result-details-risk {
        display: block;
    }
    .result-details-text,
    .result-action-text {
         font-size: 0.75rem;
    }
    .result-chart-area {
        margin: 0 -2rem;
    }
    .result-chart-container {
        display: inline-block;
        width: calc(50vw - 1rem);
        vertical-align: top;
        margin: 1.5rem 0;
    }
    .result-key-container {
        width: 90%;
    }
    .formContainer {
        background-color: unset;
        padding: 0;
    }
}
